Subject: Re: bug#31968: 26.1.50; Allow to hide title bar on maximize (gtk/gnome/csd)

From: Po Lu <[email-masked]>
Date: Fri, 29 Apr 2022 18:25:47 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> If I skimmed the thread correctly, the Lisp solutions led to some
> "flickering" -- i.e., first we show the frame maximised with a title
> bar, and then the callback hook is called, and then we remove the title
> bar.  So asking the WM to do it all in one operation seemed attractive.
> But when that doesn't even work, then the in-Lisp solution seems like
> the only option.

BTW, the frame resize synchronization introduced recently might
alleviate the flicker in the Lisp-based solutions, though I don't see
any flicker with or without resize synchronization.